# Connecting to a Fabric Service Provider Make a connection from your Network Edge devices to clouds, networks, and other service providers. info This topic covers connecting to service providers from Network Edge in general. For instructions and examples on connecting to a specific service provider, see the [Connecting to a Service Provider](https://docs.equinix.com/fabric-marketplace.md) section. Including: * [Alibaba Cloud](https://docs.equinix.com/fabric-marketplace/connecting-to-service-provider/fabric-alibaba-cloudexpress.md) * [AWS Direct Connect](https://docs.equinix.com/fabric-marketplace/connecting-to-service-provider/aws/direct-connect-overview.md) * [Cisco](https://docs.equinix.com/fabric-marketplace/connecting-to-service-provider/fabric-connect-cisco-webex.md) * [Colt](https://docs.equinix.com/fabric-marketplace/connecting-to-service-provider/fabric-connect-colt.md) * [Five9](https://docs.equinix.com/fabric-marketplace/connecting-to-service-provider/fabric-connect-five9-redundant.md) * [GCP](https://docs.equinix.com/fabric-marketplace/connecting-to-service-provider/gcp/ne-gcp-connect.md) * [IBM Cloud](https://docs.equinix.com/fabric-marketplace/connecting-to-service-provider/ibm/fabric-ibm-cloud-2_0.md) * [Lumen](https://docs.equinix.com/fabric-marketplace/connecting-to-service-provider/fabric-connect-lumen.md) * [Microsoft Azure](https://docs.equinix.com/fabric-marketplace/connecting-to-service-provider/microsoft/ne-azure-expressroute.md) * [NTT Data](https://docs.equinix.com/fabric-marketplace/connecting-to-service-provider/fabric-ntt-data-connect.md) * [Oracle Cloud](https://docs.equinix.com/fabric-marketplace/connecting-to-service-provider/oracle/fabric-oracle-quick-connect.md) * [Salesforce](https://docs.equinix.com/fabric-marketplace/connecting-to-service-provider/fabric-salesforce-hyperforce.md) * [Unitas Global](https://docs.equinix.com/fabric-marketplace/connecting-to-service-provider/fabric-unitas-connect-port.md) * [Verizon](https://docs.equinix.com/fabric-marketplace/connecting-to-service-provider/verizon/ne-verizon-sdi.md) ## Prerequisites * An Equinix Customer Portal account, with the following [roles](https://docs.equinix.com/iam/roles-permissions/iam-roles-permission-reference.md) assigned: `Fabric Connections Manager` and `Network Edge Connections Manager`. * A Network Edge virtual device. - Portal - API - Terraform 1. Sign in to the [Equinix Customer Portal](https://portal.equinix.com/) and navigate to *Network Edge Dashboard*. 2. Use the *Project Selector* drop-down to select the project under which you want to create the connection. For more information on projects, see [Managing Projects](https://docs.equinix.com/iam/resources/projects-manage.md). 1) Authenticate - submit your user credentials, Client ID, and Client Secret for OAuth2 authentication. Refer to [API Authentication](https://docs.equinix.com/equinix-api/api-authentication.md) for instructions on how to call OAuth API to validate and authenticate your credentials. 2) Determine your Network Edge device information using the [`/ne/v1/devices`](https://docs.equinix.com/api-catalog/network-edgev1.md#tag/Virtual-Device/operation/getVirtualDevices) or [`/ne/v1/devices/{uuid}`](https://docs.equinix.com/api-catalog/network-edgev1.md#tag/Virtual-Device/operation/getVirtualDeviceByUuid) endpoints. You may choose any available interface on the device for your connection. Equinix will select an interface if you do not specify one. 3) Determine the service provider's service profile information. Use the [`/fabric/v4/serviceProfiles/search`](https://docs.equinix.com/api-catalog/fabricv4.md#tag/Service-Profiles/operation/searchServiceProfiles) endpoint to search for a specific service profile or use the [`/fabric/v4/serviceProfiles`](https://docs.equinix.com/api-catalog/fabricv4.md#tag/Service-Profiles/operation/listServiceProfiles) endpoint to list all available service profiles, and identify the profile you want to connect to. You need the service provider's profile UUID. 1. Determine your Network Edge device information. Check your available devices using the [`equinix_network_device`](https://docs.equinix.com/terraform/data-sources/network_device.md) data source. 2. Determine the service provider's service profile information. Use the [`equinix_fabric_service_profiles`](https://docs.equinix.com/terraform/data-sources/fabric_service_profiles.md) data source to search for a specific service profile. You need the service provider's profile UUID. ## Creating the Connection * Portal * API * Terraform 1. From the *Network Edge Dashboard*, click **Create Connection**. ![](https://docs.equinix.com/assets/images/service-provider-create-connection-49f02d48309fc652e6b31fbd69a326fd.png) 2. In the *Frequent Connections* section, select the service provider you are connecting to. Or click *A Service Provider*, and search for the service provider. ![](https://docs.equinix.com/assets/images/serivce-provider-cards-e80561faaf2e366e03bfc30d2a44dd77.png) 3. Click the service provider's card, and click **Create Connection (Network Edge Device)**. ![](https://docs.equinix.com/assets/images/service-provider-card-colt-8ff205019a7283613feabbf1861d3a62.png) **Select Locations** On the *Select Locations* page: 1. In the *Origin* section, under *Connect Using*, click **Virtual Device**. 2. Select the device and connection origin location. 3. In the *Select Virtual Device Type* section, select a device type: Virtual Devices, Redundant Devices, or Clusters. 4. Select the *Connection Type*. If you selected a single virtual device, *Single Connection* is automatically selected. If you are connecting to a cluster or redundant devices, you can choose to create a *Redundant Connection* or a *Single Connection from a single device* in the redundant pair or cluster. 5. Select the Device(s) you are using for this connection. 6. The *Destination* section is populated with your location options from the Service Provider you are connecting to. Select the service provider's location you are connecting to. ![](https://docs.equinix.com/assets/images/service-provider-select-locations-02d1834374fc90626c90f6c12222255d.png) Click **Next**. **Connection Details** On the *Connection Details* page: 1. In the *Connection Information* section, enter a connection name. For redundant connections, enter a name for the primary connection in the *Connection Information* field and a name for the secondary connection in the *Redundant Connection Information* field. 2. In the *Interface Selection* section, select: * **Automatically select the next available interface on my device(s)** if you want to create the connection on the next available interface. * **I will select an interface** if you want to specify the interface for the connection. Select an interface from the drop-down menu. 3. If the Service Provider requires an account ID, pairing key, or other identification, enter your information in the provided fields. The *Additional Buyer Options* section contains options specific to the Service Provider you are connecting to. Some of them may be required to connect. 4. *(Optional)* Enter the purchase order number. 5. Select the *Connection Speed* for the Primary Device. For Redundant Connections, select the Connection Speed for the Secondary Device also. ![](https://docs.equinix.com/assets/images/service-provider-connection-details-52ff1c1159610a24dcb56100cbd4afc8.png) Click **Next** **Review and Submit** On the *Review* page: 1. Review the information in the *Connection Summary* and *Pricing Overview*. 2. In the *Notifications* section, add the email addresses for all users who should receive notifications about this connection. 3. When you are ready, click **Submit Your Order**. ![](https://docs.equinix.com/assets/images/service-provider-review-844551c2486a4ed12aa20f2a1e000143.png) To create a connection from your Network Edge device to a Service provider, send a `POST` request to the [`/fabric/v4/connections`](https://docs.equinix.com/api-catalog/fabricv4.md#tag/Connections/operation/createConnection) endpoint. * Specify your virtual device details in the `aSide.accessPoint` object. * Specify the service provider information in the `zSide.accessPoint` object. Required parameters vary by service provider, see the [Connecting to a Service Provider](https://docs.equinix.com/fabric-marketplace.md) documentation for specific examples. Sample cURL Request: ``` curl -X POST 'https://api.equinix.com/fabric/v4/connections' \ -H 'content-type: application/json' \ -H 'authorization: Bearer ' \ -d '{ "type": "EVPL_VC", "name": "", "bandwidth": 1000, "aSide": { "accessPoint": { "type": "VD", "virtualDevice": { "type": "EDGE", "uuid": "" } } }, "zSide": { "accessPoint": { "type": "SP", "profile": { "type": "L2_PROFILE", "uuid": "" }, "location": { "metroCode": "" } } }, "project": { "projectId": "" }, "notifications": [ { "type": "ALL", "emails": [ "" ] } ] }' ``` Create the connection using the [`equinix_fabric_connection`](https://docs.equinix.com/terraform/resources/fabric_connection.md) resource. * Specify your virtual device details in the `a_side`:`access_point` object. * Specify the service provider information in the `z_side`:`access_point` object. Required parameters vary by service provider, see the [Connecting to a Service Provider](https://docs.equinix.com/fabric-marketplace.md) documentation for specific examples. ``` resource "equinix_fabric_connection" "vd2csp" { name = "" type = "IP_VC" notifications { type = "ALL" emails = ["", ""] } bandwidth = a_side { access_point { type = "VD" virtual_device { type = "EDGE" uuid = "" } } } z_side { access_point { type = "SP" profile { type = "L2_PROFILE" uuid = "" } location { metro_code = "" } } } } ``` After submitting the order, an email verification of the order is sent to the notifications contacts. Once the connection is provisioned, the contacts also receive a confirmation email. ## Monitoring the Connection Status * Portal * API * Terraform Once you have created a connection in the Customer Portal, monitor its status from your [*Connections Inventory*](https://docs.equinix.com/fabric/managing-connections/fabric-new-connections-inventory.md). To check the connection status, send a `GET` request to the [`/fabric/v4/connections/{connectionId}`](https://docs.equinix.com/api-catalog/fabricv4.md#tag/Connections/operation/getConnectionByUuid) endpoint. Fetch the connection status with the [`equinix_fabric_connections`](https://docs.equinix.com/terraform/data-sources/fabric_connections.md) data source. | Equinix Status | Provider Status | **Description** | | -------------- | --------------- | ------------------------------------------------------------- | | `PROVISIONING` | `PROVISIONING` | Connection request has not been sent to the service provider. | | `PROVISIONED` | `PROVISIONING` | Connection establishment in progress. | | `PROVISIONED` | `PROVISIONED` | Connection established. |